@import "vendor/bootstrap/bootstrap/variables";
@import "vendor/bourbon/bourbon";
@import "vendor/select2";
@import "variables";
@import "mixins/ie10-and-up";
@import "typography";
@import "components/flex-row";
@import "components/slide-media";
@import "components/container-bg";
@import "components/icon-card";
@import "components/aspect-ratio-box";
@import "components/annotated-image-container";
@import "components/customer-quote";
@import "components/animations";
@import "components/select2";
@import "utility-classes";

.cta-btn {
  font-size: 18px;
  padding: 4px 30px;
  transition: all .2s;

  @media (max-width: $screen-sm-min) {
    min-width: 240px;
  }

}

.jobs-content-row {
  min-height: 560px;
  background: $color-white;

  .jobs-pg-1 {
    background: url("/images/blogimages/working-at-gitlab/jobs-pg-1.png") center center no-repeat;
  }

  .jobs-pg-2 {
    background: url("/images/blogimages/working-at-gitlab/jobs-pg-2.png") center center no-repeat;
  }

  .jobs-pg-2-alt {
    background: url("/images/blogimages/working-at-gitlab/gitlab-team-mosaic-2022.jpg") center center no-repeat;
    margin: 60px;

    @media (max-width: $screen-md-min) {
      margin: 20px;
    }
  }

  .jobs-pg-3 {
    background: url("/images/blogimages/working-at-gitlab/jobs-pg-3.jpeg") center center no-repeat;
  }

  .culture-image-container {
    background-size: cover;

    @media (max-width: $screen-md-min) {
      order: 1;
      height: 225px;
    }

  }

  .culture-content-container {

    @media (max-width: $screen-md-min) {
      order: 2;
    }

  }

  .culture-row-content {
    padding: 60px;
    max-width: 800px;

    li {
      margin-top: .5em;
    }

    .content-title {

      @media (max-width: $screen-md-min) {
        flex-wrap: wrap;
        justify-content: center;
      }

    }

    .cta-btn {
      margin-left: 0;
      margin-top: 20px;
    }

    @media (max-width: $screen-md-min) {
      padding: 40px 20px;
    }

  }

  @media (max-width: $screen-md-min) {
    flex-wrap: wrap;
  }

}

.quote-container {
  left: 30px;
  position: absolute;
  top: 80px;

  .headshot-wrapper {
    background: transparent url('/images/blogimages/working-at-gitlab/icon-left-quote.svg') top right no-repeat;
    height: 100px;
    left: 0;
    position: absolute;
    width: 100px;

    img {
      border-radius: 50%;
      height: 80px;
      left: 15px;
      position: absolute;
      top: 10px;
      width: 80px;
    }
  }

  .quote {
    left: 120px;
    position: absolute;
    top: 0;
    width: 440px;

    h6 {
      font-size: 16px;
      margin: 0;
      padding-left: 15px;
      position: absolute;
      top: -25px;
    }

    p {
      background-color: #108548;
      border-radius: 15px;
      color: #fff;
      cursor: pointer;
      font-size: 18px;
      padding: 15px;

      span { display: inline-block; padding-left: 5px; text-decoration: underline; }

      &::before {
        background-color: #108548;
        content: '';
        display: block;
        height: 20px;
        left: -8px;
        position: absolute;
        transform: rotate(45deg);
        top: 34%;
        width: 20px;
      }
    }
  }

  &.btm {
    bottom: 150px;
    top: auto;

    p {
      background-color: #1F75CB;

      &::before { background-color: #1F75CB; }
    }
  }

  &.right {
    bottom: 150px;
    left: auto;
    right: 20px;
    top: auto;
    width: 550px;

    .headshot-wrapper {
      left: auto;
      right: 0;
    }

    .quote {
      left: auto;
      right: auto;

      h6 { right: 30px; }

      p {
        background-color: #E9BE74;
        color: #000;

        &::before {
          background-color: #E9BE74;
          right: -8px;
          left: auto;
        }
      }
    }

    &.btm {
      bottom: 94px;

      p {
        background-color: #E1D8F9;

        &::before { background-color: #E1D8F9; }
      }
    }
  }

  @media (max-width: $screen-sm-min) {
    display: none !important;
  }
}


div[class^='accent-sq'] {
  @media (max-width: $screen-sm-min) {
    display: none;
  }
}

.section.explore-handbook-container {
  padding-bottom: 100px;
  padding-top: 200px;
  position: relative;

  @media (max-width: $screen-sm-min) {
    padding-bottom: 0;
    padding-top: 0;
  }

  .accent-sq-1 {
    background-color: #FCA326;
    height: 100px;
    position: absolute;
    right: 0;
    top: 0;
    width: 100px;
    z-index: -1;
  }

  .accent-sq-2 {
    background-color: #FC6D26;
    height: 110px;
    width: 90px;
    position: absolute;
    right: 150px;
    top: 180px;
    z-index: -1;
  }

  .accent-sq-3 {
    background-color: #9795F9;
    height: 80px;
    width: 80px;
    position: absolute;
    right: 180px;
    top: 160px;
    z-index: 0;
  }

  .accent-sq-4 {
    background-color: #9795F9;
    height: 100px;
    width: 100px;
    position: absolute;
    left: 60px;
    bottom: 70px;
    z-index: -1;
  }

  .accent-sq-5 {
    background-color: #FCA326;
    height: 80px;
    width: 80px;
    position: absolute;
    left: 120px;
    bottom: 40px;
    z-index: 0;
  }
}

.culture-content-container p { font-size: 18px; }

.container.listing-container.explore-handbook {
  position: relative;
  width: 60%;

  a.cta-btn { margin: 0 auto; }

  @media (max-width: $screen-sm-min) {
    padding-top: 30px;
    width: 90%;
  }
}

.handbook-bucket-container {
  display: flex;
  flex-wrap: wrap;

  .handbook-bucket-item {
    border-radius: 3px;
    background: #fff;
    box-shadow: 0 2px 4px rgba(0,0,0,0.1);
    margin-bottom: 30px;
    padding: 20px 20px 60px;
    position: relative;
    width: 48%;

    &:nth-of-type(even) { margin-left: 4%; }

    a.learn-more {
      bottom: 30px;
      left: 35px;
      position: absolute;
    }

    h3 {
      background-position: left;
      background-repeat: no-repeat;
      background-size: 50px 50px;
      padding: 10px 0 10px 60px;
    }

    &.values h3 { background-image: url("/images/blogimages/working-at-gitlab/icon-jobs-values.svg"); }
    &.benefits h3 { background-image: url("/images/blogimages/working-at-gitlab/icon-jobs-benefits.svg"); }
    &.remote h3 { background-image: url("/images/blogimages/working-at-gitlab/icon-jobs-remote.svg"); }
    &.product h3 { background-image: url("/images/blogimages/working-at-gitlab/icon-jobs-product.svg"); }
    &.learning h3 { background-image: url("/images/blogimages/working-at-gitlab/icon-jobs-learning.svg"); }
    &.diversity h3 { background-image: url("/images/blogimages/working-at-gitlab/icon-jobs-diversity.svg"); }

    ul {
      margin: 0 0 20px;
      padding: 0 0 0 30px;
    }

    @media (max-width: $screen-sm-min) {
      width: 100%;

      &:nth-of-type(even) { margin-left: 0; }
    }
  }
}

.moments-that-matter {
  padding-bottom: 100px;
  position: relative;

  @media (max-width: $screen-sm-min) {
    padding-bottom: 0;

    .listing-container {
      padding-bottom: 0;
      width: 90%;

      p {
        max-width: 880px;
      }
    }
  }

  .accent-sq-6 {
    background-color: #FC6D26;
    bottom: 0;
    height: 90px;
    position: absolute;
    right: 0;
    width: 90px;
  }

  ul {
    columns: 4;
    list-style: none;
    margin: 30px 0;
    padding: 0;

    li { margin: 0; padding: 0; }

    @media (max-width: $screen-sm-min) {
      columns: 1;

      li { margin-bottom: 30px; }
    }

    span {
      color: #666;
      font-size: 16px;
    }
  }

  figure {
    margin: 0 auto 15px;

    @media (max-width: $screen-sm-min) {
      width: 100%;
    }

    img {
      display: block;
      left: 0;
      max-width: 100%;
      width: 100%;
    }
  }

  .cta-btn { margin: 0 auto 60px; }
}

#video-thumbnails {
  columns: 4;
  list-style: none;
  margin: 15px auto 15px;
  padding: 0;
  width: 80%;

  li {
    border: 2px solid #fff;
    margin: 0;
    padding: 0;
  }

  img {
    cursor: pointer;
    display: block;
  }

  &.bruno .bruno,
  &.ishita .ishita,
  &.liam .liam,
  &.michael .michael { border-color: #F96424; }
}

.gitlab-by-the-numbers {
  background-color: #fff;

  .listing-container {
    width: 60%;

    ul {
      columns: 3;
      list-style: none;
      margin: 30px 0;
      padding: 0;

      li {
        margin: 0;
        padding: 0;
      }

      strong {
        display: block;
        font-size: 96px;
      }

      @media (max-width: $screen-sm-min) {
        columns: 1;
      }
    }
  }

  a.cta-btn { margin: 30px auto 0; }

  @media (max-width: $screen-sm-min) {
    .listing-container {
      width: 90%;
    }
  }
}

.section.bottom-quote {
  padding: 80px 0;
  position: relative;

  .accent-sq-7 {
    background-color: #FCA326;
    height: 100px;
    left: 0;
    position: absolute;
    top: 0;
    width: 100px;
    z-index: -1;
  }

  .accent-sq-8 {
    background-color: #9795F9;
    height: 80px;
    left: 50px;
    position: absolute;
    top: 50px;
    width: 80px;
    z-index: 0;
  }
}

.modal {
  margin: 60px auto 0;
  max-width: 1280px;
  z-index: 99999999;

  .close {
    background-color: #f0f0f0;
    border: none;
    border-radius: 0.25rem;
    color: #525252;
    float: right;
    font-size: 18px;
    margin-top: -26px;
  }
}

.modal-backdrop.in {
  opacity: 0.8;
  z-index: 9999999;
}

.embed-container { position: relative; padding-bottom: 56.25%; height: 0; overflow: hidden; max-width: 100%; } .embed-container iframe, .embed-container object, .embed-container embed { position: absolute; top: 0; left: 0; width: 100%; height: 100%; }

// .culture-image {
//   max-width: none;
//   height: 100%;
//   position: absolute;
//   top: 0;
//
//   @media (max-width: $screen-md-min) {
//     width: 100%;
//     height: 100%;
//     position: relative;
//   }
//
// }
//
// .culture-image-right {
//   left: 0;
// }
//
// .culture-image-left {
//   right: 0;
// }

.content-icon {
  height: 120px;
}

.jobs-hero {
  padding: 160px 20px;
  background: url("/images/jobs-hero-bg.png") center center no-repeat;
  background-size: cover;
  color: $color-white;
  text-align: center;

  h1 {
    margin-top: 0;
  }

  p {
    font-size: 20px;
  }

  .play-icon {
    font-size: 14px;
    margin-right: 10px;
  }

  .logo {
    height: 40px;
    margin-bottom: 20px;
  }

  .buttons-container {
    display: flex;
    justify-content: center;
    align-items: center;

    @media (max-width: $screen-sm-min) {
      flex-wrap: wrap;
    }

  }

  @media (max-width: $screen-sm-min) {
    padding: 120px 20px;
  }

}

.iframe-container {
  display: none;
  position: fixed;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  background: $blog-color-image-to;
  justify-content: center;
  align-items: center;
  z-index: 10000;
  cursor: pointer;

  iframe {
    background-color: $color-black;
    box-shadow: 0 10px 20px $color-transparent-alt;
    width: 77%;
    height: 80%;
    min-height: 300px;

    @media (max-width: $screen-sm-min) {
      height: auto;
    }

  }

}

.flex-centered {
  display: flex;
  align-items: center;
}

.padded {
  padding: 30px;
}

.container {
  max-width: 1440px;
}

.page-container.culture-stories {
  padding-top: 0;
  padding-bottom: 0;
  background-color: $color-white;

  .col-md-6 {
    min-height: 500px;
  }

  .row {
    @media (min-width: $screen-md-min) {
      min-height: 555px;
      padding-bottom: 0;

      @include ie10-and-up {
        height: 555px;
      }
    }
  }

  .culture-text-container {
    width: 85%;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 5%;
  }

  .left-right-padding {
    padding-left: 30px;
    padding-right: 30px;
  }

  .container {
    width: 100%;
    font-size: 18px;
  }

  h4 {
    @include font-weight-bold;
    margin-bottom: 0;
    color: $team-content-color;
    font-size: 16px;
  }

  h3 {
    $lt-color: #292929;
    @include accent-font-regular;
    margin-top: 15px;
    color: $lt-color;
    font-size: 24px;
    line-height: (40 / 30);

    @media (min-width: $screen-sm-min) {
      font-size: 30px;
    }
  }
}

/* container styling for jobs/apply page */
.listing-container {
  width: 80%;
  font-size: 18px;
  padding: 80px 0;

  .container {
    .no-margin-left {
      margin-left: 0;
    }
  }

  @media (max-width: $screen-md-min) {
    width: 100%;
  }
}

@media (max-width: $screen-md-max) {
 .gitlab-by-the-numbers .listing-container ul strong {
   font-size: 56px;
 }
}
